import random

from faker import Faker

# TODO: Supports for other
locales = ('ru_RU', 'en_US')

Faker.seed(random.randint(0, 99999))
faker: Faker = Faker(locale=locales)


def country_name() -> str:
    """Gen country name."""
    return str(faker.country())


def currency_name() -> str:
    """Gen currency name."""
    return str(faker.currency_name())


def currency_code() -> str:
    """Gen currency code."""
    return str(faker.currency_code())


def money_amount(min_amount: float = 0, max_amount: float = 99999.99) -> float:
    """Gen money amount."""
    return round(random.uniform(min_amount, max_amount), ndigits=2)


def any_word() -> str:
    """Any word."""
    return faker.word()


def any_sentence() -> str:
    """Any sentence."""
    return faker.sentence()


def any_bool() -> bool:
    """Any bool."""
    return random.choice([True, False])


def any_url() -> str:
    """Any url."""
    return faker.url()


def any_image_url() -> str:
    """Any image url."""
    return faker.image_url()
